ResultParser (ZXing 3.5.2 API)
Description: declaration: package: com.google.zxing.client.result, class: ResultParser

Package com.google.zxing.client.result

# Class ResultParser

java.lang.Object
com.google.zxing.client.result.ResultParser

Direct Known Subclasses:
  `AddressBookAUResultParser`, `AddressBookDoCoMoResultParser`, `BizcardResultParser`, `BookmarkDoCoMoResultParser`, `EmailAddressResultParser`, `EmailDoCoMoResultParser`, `ExpandedProductResultParser`, `GeoResultParser`, `ISBNResultParser`, `ProductResultParser`, `SMSMMSResultParser`, `SMSTOMMSTOResultParser`, `SMTPResultParser`, `TelResultParser`, `URIResultParser`, `URLTOResultParser`, `VCardResultParser`, `VEventResultParser`, `VINResultParser`, `WifiResultParser`

public abstract class ResultParser extends Object

Abstract class representing the result of decoding a barcode, as more than a String -- as some type of structured data. This might be a subclass which represents a URL, or an e-mail address. `parseResult(Result)` will turn a raw decoded string into the most appropriate type of structured representation.

Thanks to Jeff Griffin for proposing rewrite of these classes that relies less on exception-based mechanisms during parsing.

Author:
  Sean Owen

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ResultParser()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected static String`
  `getMassagedText(Result result)`
  `protected static boolean`
  `isStringOfDigits(CharSequence value, int length)`
  `protected static boolean`
  `isSubstringOfDigits(CharSequence value, int offset, int length)`
  `protected static void`
  `maybeAppend(String[] value, StringBuilder result)`
  `protected static void`
  `maybeAppend(String value, StringBuilder result)`
  `protected static String[]`
  `maybeWrap(String value)`
  `abstract ParsedResult`
  `parse(Result theResult)`
  Attempts to parse the raw `Result`'s contents as a particular type of information (email, URL, etc.) and return a `ParsedResult` encapsulating the result of parsing.
  `protected static int`
  `parseHexDigit(char c)`
  `static ParsedResult`
  `parseResult(Result theResult)`
  `protected static String`
  `unescapeBackslash(String escaped)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ResultParser

    public ResultParser()

- ## Method Details

  - ### parse

    public abstract ParsedResult parse(Result theResult)
    Attempts to parse the raw `Result`'s contents as a particular type of information (email, URL, etc.) and return a `ParsedResult` encapsulating the result of parsing.
    Parameters:
      `theResult` - the raw `Result` to parse
    Returns:
      `ParsedResult` encapsulating the parsing result

  - ### getMassagedText

    protected static String getMassagedText(Result result)

  - ### parseResult

    public static ParsedResult parseResult(Result theResult)

  - ### maybeAppend

    protected static void maybeAppend(String value, StringBuilder result)

  - ### maybeAppend

    protected static void maybeAppend(String[] value, StringBuilder result)

  - ### maybeWrap

    protected static String[] maybeWrap(String value)

  - ### unescapeBackslash

    protected static String unescapeBackslash(String escaped)

  - ### parseHexDigit

    protected static int parseHexDigit(char c)

  - ### isStringOfDigits

    protected static boolean isStringOfDigits(CharSequence value, int length)

  - ### isSubstringOfDigits

    protected static boolean isSubstringOfDigits(CharSequence value, int offset, int length)